| Box2D 2.2.1 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
b2RopeJointDef Struct Reference

`#include <b2RopeJoint.h>`

Inheritance diagram for b2RopeJointDef:

List of all members.

## Public Attributes
b2Vec2 | localAnchorA
| The local anchor point relative to bodyA's origin.
b2Vec2 | localAnchorB
| The local anchor point relative to bodyB's origin.
float32 | maxLength

## Detailed Description

Rope joint definition. This requires two body anchor points and a maximum lengths. Note: by default the connected objects will not collide. see collideConnected in b2JointDef.

## Member Data Documentation

float32 b2RopeJointDef::maxLength

The maximum length of the rope. Warning: this must be larger than b2_linearSlop or the joint will have no effect.

The documentation for this struct was generated from the following file:

- b2RopeJoint.h

All Classes Files Functions Variables Enumerations Enumerator Defines